Package org.eclipse.birt.chart.event

# Class Oval3DRenderEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent
org.eclipse.birt.chart.event.OvalRenderEvent
org.eclipse.birt.chart.event.Oval3DRenderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`, `I3DRenderEvent`

public class Oval3DRenderEvent extends OvalRenderEvent implements I3DRenderEvent
A rendering event type for rendering 3D Oval object.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`DRAW, FILL, iObjIndex`

## Constructor Summary

Constructors
Constructor
Description
`Oval3DRenderEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`PrimitiveRenderEvent`
`copy()`
`Location3D[]`
`getLocation3D()`
`Object3D`
`getObject3D()`
Returns the 3D object associated with this event.
`void`
`prepare2D(double xOffset, double yOffset)`
Prepares the coordinates to render on 2D plane.
`void`
`setLocation3D(Location3D[] loa)`
Set 3D location of the event.

### Methods inherited from class org.eclipse.birt.chart.event.OvalRenderEvent

`draw, fill, getBackground, getBounds, getLineAttributes, getOutline, reset, setBackground, setBounds, setOutline`

### Methods inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`compareRegular, compareTo, compareTransposed, getDepth, getLabel, isEnabled, setDepth, setEnable`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Oval3DRenderEvent

public Oval3DRenderEvent(Object oSource)
The constructor.

## Method Details

### setLocation3D

public void setLocation3D(Location3D[] loa)
Set 3D location of the event.

### getLocation3D

public Location3D[] getLocation3D()

Returns:
  Returns the 3D location of the event.

### copy

public PrimitiveRenderEvent copy()

Overrides:
  `copy` in class `OvalRenderEvent`
Returns:
  A copy of this primitive rendering instruction implemented by subclasses

### getObject3D

public Object3D getObject3D()
Description copied from interface: `I3DRenderEvent`
Returns the 3D object associated with this event.

Specified by:
  `getObject3D` in interface `I3DRenderEvent`
Returns:

### prepare2D

public void prepare2D(double xOffset, double yOffset)
Description copied from interface: `I3DRenderEvent`
Prepares the coordinates to render on 2D plane.

Specified by:
  `prepare2D` in interface `I3DRenderEvent`